Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Incidents/Additional Responders

Get Additional Responders

get
/v3/incidents/{incidentID}/additional-responders
  • This endpoint is used to get the incident additional responders.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/incidents/{incidentID}/additional-responders
GET /v3/incidents/{incidentID}/additional-responders HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "additional_responders": [
      {
        "id": "text",
        "type": "text",
        "name": "text",
        "time_of_assignment": "text"
      }
    ]
  }
}

Add Additional Responders

put
/v3/incidents/{incidentID}/additional-responders
  • This endpoint is used to add additional responders to an Incident.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Body

Request body for adding additional responders to an incident.

Responses
200

The request has succeeded.

application/json
put/v3/incidents/{incidentID}/additional-responders
PUT /v3/incidents/{incidentID}/additional-responders HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "additional_responders": [
    {
      "id": "text",
      "type": "text"
    }
  ]
}
{
  "data": {
    "additional_responders": [
      {
        "id": "text",
        "type": "text",
        "name": "text",
        "time_of_assignment": "text"
      }
    ]
  }
}

Remove Additional Responders

delete
/v3/incidents/{incidentID}/additional-responders/{responderID}
  • This endpoint is used to remove an additional responder from an Incident.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
responderIDstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/incidents/{incidentID}/additional-responders/{responderID}
DELETE /v3/incidents/{incidentID}/additional-responders/{responderID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated